Public Attributes | List of all members
_ll_i2s_init_t Struct Reference
Peripheral Driver » LL Driver » I2S » Structures » I2S Exported init structure

LL I2S init structures definition. More...

`#include <gr55xx_ll_i2s.h>`

## Public Attributes
uint32_t | rxdata_size
| Specifies the I2S receive data size. More...
uint32_t | txdata_size
| Specifies the I2S transmit data size. More...
uint32_t | rx_threshold
| Specifies the I2S receive FIFO threshold. More...
uint32_t | tx_threshold
| Specifies the I2S transmit FIFO threshold. More...
uint32_t | clock_source
| Specifies the source of the I2S clock. More...
uint32_t | ws_cycles
| Specifies the I2S Word Select Line Cycles. More...
uint32_t | audio_freq
| Specifies the frequency selected for the I2S communication. More...

## Detailed Description

LL I2S init structures definition.

Definition at line 76 of file gr55xx_ll_i2s.h.

## Member Data Documentation

## ◆ audio_freq

uint32_t _ll_i2s_init_t::audio_freq

Specifies the frequency selected for the I2S communication.

This feature can be modified afterwards using unitary function ll_i2s_set_clock_div().

Definition at line 107 of file gr55xx_ll_i2s.h.

## ◆ clock_source

uint32_t _ll_i2s_init_t::clock_source

Specifies the source of the I2S clock.

This parameter can be a value of I2S Clock Source.

This feature can be modified afterwards using unitary function ll_i2s_set_clock_src().

Definition at line 98 of file gr55xx_ll_i2s.h.

## ◆ rx_threshold

uint32_t _ll_i2s_init_t::rx_threshold

Specifies the I2S receive FIFO threshold.

This parameter can be a value of FIFO Threshold.

This feature can be modified afterwards using unitary function ll_i2s_set_rx_fifo_threshold().

Definition at line 88 of file gr55xx_ll_i2s.h.

## ◆ rxdata_size

uint32_t _ll_i2s_init_t::rxdata_size

Specifies the I2S receive data size.

This parameter can be a value of Transfer Data width.

This feature can be modified afterwards using unitary function ll_i2s_set_rxsize().

Definition at line 78 of file gr55xx_ll_i2s.h.

## ◆ tx_threshold

uint32_t _ll_i2s_init_t::tx_threshold

Specifies the I2S transmit FIFO threshold.

This parameter can be a value of FIFO Threshold.

This feature can be modified afterwards using unitary function ll_i2s_set_tx_fifo_threshold().

Definition at line 93 of file gr55xx_ll_i2s.h.

## ◆ txdata_size

uint32_t _ll_i2s_init_t::txdata_size

Specifies the I2S transmit data size.

This parameter can be a value of Transfer Data width.

This feature can be modified afterwards using unitary function ll_i2s_set_txsize().

Definition at line 83 of file gr55xx_ll_i2s.h.

## ◆ ws_cycles

uint32_t _ll_i2s_init_t::ws_cycles

Specifies the I2S Word Select Line Cycles.

This parameter can be a value of Word Select Line Cycles. This feature can be modified afterwards using unitary function ll_i2s_set_wss().

Definition at line 103 of file gr55xx_ll_i2s.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_i2s.h